Sync wordpress 3.2.1+dfsg-3 (universe) from Debian testing (main)

Bug #886876 reported by Raphaël Hertzog on 2011-11-06
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
wordpress (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync wordpress 3.2.1+dfsg-3 (universe) from Debian testing (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Merge from debian unstable. Remaining changes:
    - debian/apache.conf:
      + Changed to use /var/www instead of /srv/www for virtual webroot.
    - debian/setup-mysql:
      + Changed to use /var/www instead of /srv/www.

Both of those files are examples that have to be adapted to your own
requirements, they do not justify to keep a delta with Debian. In
particular given that nobody is properly maintaining wordpress on the
Ubuntu side...

Changelog entries since current precise version 3.0.5+dfsg-1ubuntu1:

wordpress (3.2.1+dfsg-3) unstable; urgency=medium

  * Upload with urgency medium to speed up a bit the transition to testing
    since the testing version is broken.
  * [72d01a3] Improve dh_linktree.
    It is now able to generate dependencies and to have different behaviour
    for each file to replace. Modify wordpress.linktrees to ensure we have
    the very same JQuery files but blindly replaces all the other files.
    Drop the explicit dependencies in favor of the autogenerated dependencies.
    As a side-effect this fixes installation of widgets which was broken
    by the mismatch of some JQuery ui files.
  * [bbce711] Add lintian overrides for warnings about the embedded copy of JQuery.
    We do a reasonable effort to replace it if it matches.

 -- Raphaël Hertzog <email address hidden> Thu, 27 Oct 2011 16:01:49 +0200

wordpress (3.2.1+dfsg-2) unstable; urgency=low

  * [af74ce2] Add a preinst to drop symlinks to directories for tinymce
    and cropper. The new dh_linktree only symlinks files and hierarchies are
    duplicated. So we have to drop symlinks to directories in the preinst,
    otherwise dpkg installs the new symlinks in the tinymce/cropper
    directories instead of in the wordpress ones.
    Also drop the upgrade code in the postinst converting the same directories
    into symlinks... (Closes: #639733)
  * [0b51c4f] Invite users affected by #639733 to reinstall
    tinymce/libjs-cropper.
  * [55af033] Fix invalid test in postinst (upgrade → configure)
    "upgrade" is not a valid parameter in the postinst. Instead
    we get "configure".

 -- Raphaël Hertzog <email address hidden> Sat, 22 Oct 2011 17:01:25 +0200

wordpress (3.2.1+dfsg-1) unstable; urgency=low

  [ Paul Tagliamonte ]
  * [c5e4b2c] Added a get-orig-source target to recreate the DFSG-clean
    tarball. It drops all the sourceless flash files. Closes: #625773

  [ Raphaël Hertzog ]
  * [d1035bd] Imported Upstream version 3.2.1+dfsg
  * [b968405] Update and refresh all patches.
  * [10ab97c] Drop manifest.patch because the description in its header
    doesn't make any sense.
  * [87537db] Update dependencies as per new upstream requirements.
  * [0c534ec] Update packaging to avoid using even more embedded PHP/JS
    libraries.
  * [ec5c11e] Use a new dh_linktree to replace embedded PHP/JS libraries.
  * [8690719] Add lintian override for embedded-php-library streams.php since
    it's a false positive.
  * [83c15bc] Upgrade Standards-Version to 3.9.2 (no changes needed).
  * [938fb15] Update internationalization files.
  * [6ac0357] Install class-smtp.php and class-phpmailer.php so that they can
    be replaced by dh_linktree.

 -- Raphaël Hertzog <email address hidden> Mon, 08 Aug 2011 23:06:20 +0200

Changed in wordpress (Ubuntu):
importance: Undecided → Wishlist
Rolf Leggewie (r0lf) wrote :

> Both of those files are examples that have to be adapted to your own
> requirements, they do not justify to keep a delta with Debian.

Hm, I suppose that you as the Debian maintainer prefer /srv/www and one or more of the ubuntu devs preferred the old /var/www in the past. As such, the choice of a sane default would seem to warrant a delta IMVHO. But how about we make it go away just as pastebinit does for default pastebin, based on the information from lsb_release?

On Mon, 07 Nov 2011, Rolf Leggewie wrote:
> Hm, I suppose that you as the Debian maintainer prefer /srv/www and one
> or more of the ubuntu devs preferred the old /var/www in the past. As
> such, the choice of a sane default would seem to warrant a delta IMVHO.
> But how about we make it go away just as pastebinit does for default
> pastebin, based on the information from lsb_release?

/srv/www is not a sane default, and neither is /var/www.

Both patched files are samples in /usr/share/doc/wordpress/examples/.
I really don't think it's worth a delta.

But if the Ubuntu developers feel strongly about this I would accept
a patch using dpkg-vendor to change this at build-time.

Cheers,
--
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/

Colin Watson (cjwatson) wrote :

I agree with Raphaël's original comment; there is no reason why this should be different between Debian and Ubuntu, as our default Apache configurations are identical in this regard, as are our web content policies. pastebinit is not analogous - in that case, it really does make sense to have different defaults according to the distribution.

The original cause of this delta was bug 53001, which was fixed differently in Debian by ensuring that the directory exists (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=409258). Given that alternative fix, there is no need to retain our delta. Furthermore, given the not infrequent need for security updates of Wordpress, I think it's actively harmful to hang on to an unnecessary delta because it makes it more effort for us to sync from Debian.

Sync approved; thanks.

Changed in wordpress (Ubuntu):
status: New → Confirmed
Colin Watson (cjwatson) wrote :

2011-11-08 14:18:24 INFO Creating lockfile: /var/lock/launchpad-sync-source.lock
[Updating] wordpress (3.0.5+dfsg-1ubuntu1 [Ubuntu] < 3.2.1+dfsg-3 [Debian])
 * Trying to add wordpress...
2011-11-08 14:18:44 INFO - <wordpress_3.2.1+dfsg.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-11-08 14:18:45 INFO - <wordpress_3.2.1+dfsg-3.dsc: downloading from http://ftp.debian.org/debian/>
2011-11-08 14:18:45 INFO - <wordpress_3.2.1+dfsg-3.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-11-08 14:18:49 DEBUG Removing lock file: /var/lock/launchpad-sync-source.lock
I: wordpress [universe] -> wordpress_3.0.5+dfsg-1ubuntu1 [universe].
I: wordpress [universe] -> wordpress-l10n_3.0.5+dfsg-1ubuntu1 [universe].

Changed in wordpress (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.